This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1014587 - on install of Fedora 19 apparent partitioner bugs
on install of Fedora 19 apparent partitioner bugs
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 07:20 EDT by thomas.lynch
Modified: 2014-02-25 17:57 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-25 17:57:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description thomas.lynch 2013-10-02 07:20:01 EDT
Description of problem:  

Upon install of Fedora 19 had many problems with partitioning (went over the 44 here, I believe these are different at least in character)

1. The installer found an old swap partition but it was only 500 Meg in size.  So I went to modify it and set it to 8 gig.  I got a message that the particion could not be expanded, but the number settled back to 501 Meg on the form instead of 500 Meg.  I foolishly thought it had given me an extra meg then hit the limit, but later the install crashed with an error message saying that partitions could not overlap. 

I have multiple questions about this one.  In addition to the obvious with the default changing, Why could it not be exanded?  I thought there was a logical valume manager and there was plenty of free space and other partitions on the disk.

.. incidently, upon a second try to expand the now 501M partition, again the limit error was given, and the default number changed to 502M.

2. In trying to modify the partition sizes the installer crashed with a python error saying that 'none' was not a valid choice.

3. The partitioner refused to make a logic volume out of two physical partitions on the disk.  Consequently the automatic partioning left out a free (not marked preserve) partition that could have been used for linux.  In manual partitioning there was no way to coerce Fedora into combining the two partitions into one logical one.  (Thus if it were to be used it would have to have its own mount point, making using it awkward.)  Attempts to expand the proposed partition, just met with limit messages or bug #2.   Yes, it is true there was another partition that was preserved between the two partitions that should have been made into one logic partition -- so perhaps this is not possible (you guys are the experts ..)






Version-Release number of selected component (if applicable):


How reproducible:

I saw the 'none' (#2 above) once, and can not find the exact sequence that caused it.  Though it was during attempt to expand a partition.

The #1 and #3 happen every time.


Steps to Reproduce #1:
1. run installer, it finds the 500M swap partition
2. attempted to make it larger, it now grows by 1M
3. continue install

Actual results:
crash install with error that partitions can not overlap

Expected results:
a wonderful new Fedora 19 install


Steps to Reproduce #3
1. run installer, it finds the a 40G partition free and sets it to mount to / (while ignoring a larger partition farther down the table)
2. attempted to make it larger - get an error message it will not grow
while the other partition is ignored
3.  can find no menu options for combining other partition

Actual results:
now have 40G / partition

Expected results:
wonderful new minimalist installer would have been smart enough to use other partition in a logical volume, or give option for building such

Steps to Reproduce #2 [happens during #3]
1. run installer, it finds the a 40G partition free and sets it to mount to / (while ignoring a larger partition farther down the table)
2. modify mount point on the 40G partition to /extra  (wish it would just become free but appears I have to set some mount point now)
3. modify mount point of unused 50G partition to be /
4.  get python error "no option none" and install crashes

Actual results:
crash

Expected results:
50G partition would become /  (though wish that could be combined with the other)


Additional info:
I'm not logic volume manager expert,, but I can tell you that the partitioning did not go well!   oh also, the panels came up very slowly had I been a tad bit less patient I would have been very confused and frustrated thinking there was not way to do the partitioning.  Oh yes, also, there was no way to know it was going to let me do a manual partition.  First I had to select the disk to use and say ok .. a little bit nerve racking.
Comment 1 David Shea 2013-10-02 13:11:44 EDT
1 is probably a duplicate of bug 989766

For 2, after the crash there will be a file in /tmp named anaconda-tb-*. Please attach as individual attachments to this bug the traceback file, along with anaconda.log, storage.log, storage.state, and any other log files in /tmp. Or use the "Report Bug" button in the crash dialog.

For 3, how are you trying to create the logical volume? There should be a "Modify" button next to the volume group setting on the partition that you can use to change what disks are used by the volume group.
Comment 2 thomas.lynch 2013-10-02 13:45:30 EDT
ah, no For #2 there will be no such file in /tmp for the simple reason the install failed and there was no linux system to have a /tmp directory.  The subsequent install which went through completion (but left 50G unused) is here, but there are no /tmp entries from the earlier install attempts in what is now /tmp. If there had been a report option in the crash, I would have used it.

For #3, yes, I went through Modify.  The only option I could find in modify was to set the volume size, which I did increase, and then it refused to do it, every time.  When modify came up,  it had the numbers for a physical partition, whether it was the 500M swap partition or the 40G partition it wanted to mount on /.  Then expanding the size came back with an error, or one time crashed with a python error saying there was no option "none".  I also tried the recover space option.  There was lots of space on that disk available, just couldn't convince Fedora to use it, and I tried every combination of options that seemed to be possible.
Comment 3 David Shea 2013-10-02 13:58:55 EDT
I understand that the install failed. Please change to a text console using Ctrl+Alt+F2 and use that to access the files in /tmp in the installer environment.
Comment 4 thomas.lynch 2013-10-02 14:02:39 EDT
perhaps this might help, this is the arrangement on the install target disk according to fdisk after the successful installation.

  Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *        2048     1026047      512000   83  Linux
/dev/sda2         1026048    99291135    49132544   8e  Linux LVM
/dev/sda4        99293182   976773119   438739969    5  Extended
Partition 4 does not start on physical sector boundary.
/dev/sda5       220932096   976773119   377920512   83  Linux

The only thing I told the installer was to preserver sda5 because that was the old home directory.  There was space before and after sda5 and that seems to have confused the installer.  The 50G after sda5 does not show up in this fdisk listing - I had expected to see /dev/sda6 with the 50G.  The 40G before sda5, i.e. sda4 is now mounted on '/'.   Apparently /dev/sda2 is the swap partition, and /dev/sda1 the boot partition.  I had tried to 'modify' expand the boot partition, swap partition, and '/' partition -- all attempted modifications were refused.

I hope this message fdisk gives about Partition 4 not starting on a physical sector is not important.
Comment 5 thomas.lynch 2013-10-02 14:13:47 EDT
opening virtual console 2  using Ctrl+Alt+F2, logging into the shell, and cd-ing to /tmp, gives me the same ls listing as I get by opening a gnome-terminal, and su -l to root and doing an ls on /tmp.  

> ls -al a* .a*
ls: cannot access a*: No such file or directory
ls: cannot access .a*: No such file or directory
>

no files starting with the letter 'a'.  

What do you mean by the installer environment?  did I miss a step here?  The only thing I don't recognize in /tmp is an luarc directory.  There are a couple of systemd private files .
Comment 6 David Lehman 2013-10-02 14:20:39 EDT
(In reply to thomas.lynch from comment #2)
> For #3, yes, I went through Modify.  The only option I could find in modify
> was to set the volume size, which I did increase, and then it refused to do
> it, every time.  When modify came up,  it had the numbers for a physical
> partition, whether it was the 500M swap partition or the 40G partition it
> wanted to mount on /.  Then expanding the size came back with an error, or
> one time crashed with a python error saying there was no option "none".  I
> also tried the recover space option.  There was lots of space on that disk
> available, just couldn't convince Fedora to use it, and I tried every
> combination of options that seemed to be possible.

You cannot resize existing lvm volume groups in the installer. That is just about the only limitation that exists. Otherwise, you can create or destroy volume groups and logical volumes. You can create new logical volumes in an existing volume group with free space, or in a new volume group.
Comment 7 David Shea 2013-10-02 14:48:37 EDT
I mean after anaconda crashes, but before you reboot, there will be files in /tmp containing more information on the crash.

How are you running the installer? What install media are you using?
Comment 8 thomas.lynch 2013-10-02 15:24:38 EDT
I booted a live USB and then picked the option to install to the hard drive. Would there be data on the live USB?  That would be cool.  3:30 am now,  .. I'll check this thread in the morning ...
Comment 9 thomas.lynch 2013-10-03 00:55:10 EDT
there are no anaconda files in /tmp on the install source USB
Comment 10 thomas.lynch 2013-10-03 00:59:06 EDT
I marked all the partitions that existed on the disk as available, except sda5 listed above, in the space recovery menus before proceeding.  The disk formatter than enforced the partition given above in the fdisk listing - I had no say in this, I was not allowed to set partition sizes other than those that came up by default - and it would not let me use the 50G free that occured after the sda5 partition.  If this is the 'only limitation' then it is a very serious one.
Comment 11 David Lehman 2013-10-03 14:00:43 EDT
The files will only be in /tmp after you have attempted an install _without_ _rebooting_ in between.

What do you mean by marking partitions as "available"? The "reclaim space" dialog provides at most three options for any given device: leave it unchange, resize (shrink) it, or delete it. There is no "make available".

I am assuming that you have left your existing layout and are expecting to adjust it to meet your new desired layout. As I said before, the installer will not resize an existing lvm volume group, so if that's what you want done you will have to do it yourself. First, ask yourself if that's what you need. Is there some data in that volume group you need to keep? If so, your only options are to either grow the volume group outside of the installer or create a second volume group in the installer for your new devices. If, on the other hand, you have no need to keep any data from your existing volume group, just remove it and create a new one.
Comment 12 thomas.lynch 2013-10-03 21:32:32 EDT
Hello David, guys,

I deleted everything to make it available to Linux, except sda5.  I did not care about the existing layout, but hoped to keep the home directory.

The installer a) on its own created overlapping partitions that crashed later -- as described above.  It did that all on its own without my help.  b) it refused to use 50G after the sda5 (which was marked preserve.)  That space is totally free even now.  c) In addition the menus came up slowly and it was unobvious what it was going to do or what options would be made available.  d) it crashed with a python error -all by itself nothing to do with me or a prior layout saying no option "none" d) it chose the layout, and refused to let me modify it.  d) it left behind no log files  In short it was sucky experience.  'nough said.
Comment 13 thomas.lynch 2013-10-03 21:46:11 EDT
(In reply to thomas.lynch from comment #12)
> Hello David, guys,
> 
> I deleted everything to make it available to Linux, except sda5.  I did not
> care about the existing layout, but hoped to keep the home directory.
> 
> The installer a) on its own created overlapping partitions that crashed
> later -- as described above.  It did that all on its own without my help. 
> b) it refused to use 50G after the sda5 (which was marked preserve.)  That
> space is totally free even now.  c) In addition the menus came up slowly and
> it was unobvious what it was going to do or what options would be made
> available.  d) it crashed with a python error -all by itself nothing to do
> with me or a prior layout saying no option "none" d) it chose the layout,
> and refused to let me modify it.  d) it left behind no log files  In short
> it was sucky experience.  'nough said.

p.s.

.. the option on the install menus for freeing space was called make more space avaiable and preserving partitions - I was using the language from those menus.  The system is running, albeit missing 50G space and a partition boundary apparently not on a sector boundary - but good enough for now.   I wish I had more detailed information to share, but the process didn't tell me much other than what is reported above.  I prefer more control over the partition than what it is giving, but certainly more infomration about what is going on during that process,  so I am experiencing a little frustration in trying to provide more info.  Please excuse me.  But all I know is what I saw during the process.  .. a relatively simple one.  I made everything available to linux except sda5...  thanks for your work on this ..

Note You need to log in before you can comment on or make changes to this bug.